kind: pipeline
type: docker
name: default

steps:
- name: merlin
  image: golang:1.17
  commands:
    # add linter
    - cd merlin
    - go build
    - go test ./...

trigger:
  event:
    exclude:
      - pull_request
  branch:
    - master
    - go
    - refactor
